%define major 1
%define libname %mklibname magic %{major}
%define devname %mklibname magic -d
%define staticname %mklibname magic -d -s

Summary:	A utility for determining file types
Name:		file
Version:	5.28
Release:	1
License:	BSD
Group:		File tools
Url:		http://www.darwinsys.com/file/
Source0:	ftp://ftp.astron.com/pub/file/%{name}-%{version}.tar.gz
Source1:	%{name}.rpmlintrc
Patch0:		file-rpm-locale.patch
Patch1:		file-5.18-x86boot.patch
Patch2:		file-5.26-selinux.patch
Patch3:		file-5.04-oracle.patch
Patch4:		file-5.05-dump.patch
Patch5:		file-5.28-berkeleydb.patch
Patch6:		file-4.20-xen.patch
Patch7:		file-5.15-images.patch
Patch8:		file-5.26-apple.patch
Patch9:		file-5.26-strength.patch
Patch10:	file-5.19-image-fmt-widths.patch
Patch11:	file-5.04-man-return-code.patch
Patch12:	file-5.04-volume_key.patch
Patch13:	file-5.26-no-magic.patch
Patch14:	file-5.18-journald.patch
Patch15:	file-5.28-compress-sigsegv.patch
BuildRequires:	pythonegg(setuptools)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(zlib)

%description
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

You should install the file package, since the file command is such a
useful utility.

%files
%doc README MAINT ChangeLog
%{_bindir}/*
%{_datadir}/misc/*
%{_mandir}/man1/*
%{_mandir}/man4/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for handling magic files
Group:		System/Libraries

%description -n %{libname}
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

Libmagic is a library for handlig the so called magic files the 'file'
command is based on.

%files -n %{libname}
%{_libdir}/libmagic.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files to build applications that handle magic files
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	magic-devel = %{EVRD}

%description -n %{devname}
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

Libmagic is a library for handlig the so called magic files the 'file'
command is based on.

%files -n %{devname}
%{_libdir}/libmagic.so
%{_includedir}/*
%{_mandir}/man3/*

#----------------------------------------------------------------------------

%package -n %{staticname}
Summary:	Static library to build applications that handle magic files
Group:		Development/C
Requires:	%{devname} = %{EVRD}
Provides:	magic-static-devel = %{EVRD}

%description -n %{staticname}
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

Libmagic is a library for handlig the so called magic files the 'file'
command is based on.

%files -n %{staticname}
%{_libdir}/*.a

#----------------------------------------------------------------------------

%package -n python-magic
Summary:	Python module to use libmagic
Group:		Development/Python
BuildArch:	noarch
Requires:	%{name} >= %{EVRD}

%description -n python-magic
Libmagic is a library for handlig the so called magic files the 'file'
command is based on.

This package contains the python binding for libmagic.

%files -n python-magic
%doc python/README python/example.py
%{py_puresitedir}/*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1

%build
autoreconf -fi
CFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
%configure2_5x --enable-static
%make

pushd python
python setup.py build
popd

%install
%makeinstall_std

# install one missing header file
install -m644 src/file.h -D %{buildroot}%{_includedir}/file.h

pushd python
python setup.py install --root=%{buildroot}
popd

%changelog

* Tue Jul 12 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.28-1
- (3417bfd) New version 5.28
- (3417bfd) Add compress-sigsegv patch from Fedora to fix zlib-related segfault


